package com.shiyanlou.core.validate;

import org.springframework.web.context.request.ServletWebRequest;

/**
 * 类名称 : ValidateCodeRepository
 * 功能描述 :校验码存取器
 * 修改人 修改日期 修改描述：
 * -----------------------------------
 */
public interface ValidateCodeRepository {

    /*
     * 功能描述：保存验证码
     */
    void save(ServletWebRequest request, SmsCode code);

    /*
     * 功能描述：获取验证码
     */
    SmsCode get(ServletWebRequest request);

    /*
     * 功能描述：移除验证码
     */
    void remove(ServletWebRequest request);
}
